Upgrading from Apache 2.2.26 to 2.4.10

Problems with the Mac OS X version of XAMPP, questions, comments, and anything related.

Upgrading from Apache 2.2.26 to 2.4.10

Postby nvukovic » 22. September 2014 21:04

Hello there.

Since this is a Apache Friends forum I decided to join 'cos I'm working with Apache quite allot lately.

I have a problem with my Apache upgrade.

Here's the deal:

I'm on MacOSX Mavericks 10.9.5 and I want to upgrade the default Apache installation from Apple.

When I got past the dependencies, I configured my Apache 2.4.10 install with: ./configure --enable-module=most prefix=/usr/local/apache-2.4.10 & installed it to that folder.

Now my question is: How can I change the default apache with my upgraded version? Where can I configure it to take the binaries from the new version folder?

-Everything I try (httpd -v, apachectl --version, which httpd: takes the old /usr/sbin folder, which apachectl: takes the old /usr/sbin folder binaries)

Any help would be really appreciated!

Thank you in advance.
nvukovic
 
Posts: 2
Joined: 22. September 2014 17:25
Operating System: Mac OS X Mavericks

Re: Upgrading from Apache 2.2.26 to 2.4.10

Postby nvukovic » 22. September 2014 21:24

So I tried something and I think I got around the version: backed up these files in /usr/sbin : apachectl, httpd and ab. Then I created symlinks to the apache-2.4.10 folder.

Hope it works like it should:)

Question: should I substitute all the files from the new folder? Just to be sure I'll check all the files and replace them if needed:)

Any ideas?
nvukovic
 
Posts: 2
Joined: 22. September 2014 17:25
Operating System: Mac OS X Mavericks


Return to XAMPP for Mac OS X

Who is online

Users browsing this forum: No registered users and 1 guest